%define major		0
%define libname		%mklibname mission-control-plugins %{major}
%define libname_devel	%mklibname mission-control-plugins -d

Name:           telepathy-mission-control
Version:        5.16.6
Release:        %mkrel 1
Summary:        Telepathy component managing connection managers
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/Mission_Control/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(dbus-1) >= 0.95
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.82
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.15.0
BuildRequires:	pkgconfig(libnm)
BuildRequires:	xsltproc
Requires:	telepathy-filesystem

%description
Mission Control, or MC, is a Telepathy component providing a way for "end-user"
applications to abstract some of the details of connection managers, to provide
a simple way to manipulate a bunch of connection managers at once, and to
remove the need to have in each program the account definitions
and credentials.

%package -n	%{libname_devel}
Summary:	Development library for telepathy-mission-control
Group:		Development/C
Requires:       %libname = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname_devel}
Development library for %{name}.

%package -n	%{libname}
Summary:	Run time library for telepathy-mission-control
Group:		System/Libraries

%description -n	%{libname}
Run time library for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-upower \
	--disable-static \
	--with-connectivity=nm
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS NEWS
%license COPYING
%{_bindir}/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/im.telepathy.MissionControl.FromEmpathy.gschema.xml
%{_libexecdir}/mission-control-5
%{_mandir}/man1/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*pc


%changelog
* Mon Jan 11 2021 guillomovitch <guillomovitch> 5.16.6-1.mga8
+ Revision: 1671022
- new version 5.16.6
  enable network-manager integration

* Sat Feb 22 2020 daviddavid <daviddavid> 5.16.5-1.mga8
+ Revision: 1549423
- new version: 5.16.5
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 5.16.4-2.mga7
+ Revision: 1301377
- Mageia 7 Mass Rebuild

* Thu Dec 08 2016 luigiwalser <luigiwalser> 5.16.4-1.mga6
+ Revision: 1073297
- 5.16.4

* Sat Feb 06 2016 umeabot <umeabot> 5.16.3-5.mga6
+ Revision: 941830
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.16.3-4.mga5
+ Revision: 746796
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.16.3-3.mga5
+ Revision: 730595
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.16.3-2.mga5
+ Revision: 689816
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 5.16.3-1.mga5
+ Revision: 670073
- 5.16.3

* Wed Jun 18 2014 luigiwalser <luigiwalser> 5.16.2-1.mga5
+ Revision: 637969
- 5.16.2

* Thu Feb 13 2014 dams <dams> 5.16.1-1.mga5
+ Revision: 590628
- new version 5.16.1

* Sun Jan 05 2014 tmb <tmb> 5.16.0-3.mga4
+ Revision: 564823
- connectivity-monitor: start watching 'use-conn' key in constructed
- mcd-account-manager-default: reset the error to NULL, so the next call is
  working (fdo#72138)

* Mon Oct 21 2013 umeabot <umeabot> 5.16.0-2.mga4
+ Revision: 538922
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 luigiwalser <luigiwalser> 5.16.0-1.mga4
+ Revision: 491066
- 5.16.0

* Sun Sep 29 2013 sander85 <sander85> 5.15.1-1.mga4
+ Revision: 489173
- New version: 5.15.1

* Sun May 05 2013 luigiwalser <luigiwalser> 5.14.1-1.mga3
+ Revision: 412359
- 5.14.1

* Mon Jan 14 2013 umeabot <umeabot> 5.14.0-2.mga3
+ Revision: 384313
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 luigiwalser <luigiwalser> 5.14.0-1.mga3
+ Revision: 344452
- 5.14.0

* Fri Oct 26 2012 fwang <fwang> 5.12.3-1.mga3
+ Revision: 310566
- new version 5.12.3

* Wed Jun 27 2012 ovitters <ovitters> 5.12.0-1.mga3
+ Revision: 264593
- new version 5.12.0

* Mon Nov 21 2011 wally <wally> 5.10.1-1.mga2
+ Revision: 170535
- new version 5.10.1
- drop unneeded P0

* Wed Sep 21 2011 wally <wally> 5.9.2-1.mga2
+ Revision: 146517
- new version 5.9.2
- clean .spec a bit
+ fwang <fwang>
- br gio
- br xsltproc
- new version 5.9.1

* Fri Jun 24 2011 dmorgan <dmorgan> 5.9.0-1.mga2
+ Revision: 112995
- New version 5.9.0

* Fri Apr 15 2011 ahmad <ahmad> 5.7.9-1.mga1
+ Revision: 85642
- update to 5.7.9
- bump BR libtelepathy-glib-devel version
- don't ship .la files

* Tue Feb 22 2011 pterjan <pterjan> 5.6.0-1.mga1
+ Revision: 57107
- Drop old scriptlet
- imported package telepathy-mission-control


* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 5.6.0-1mdv2011.0
+ Revision: 582225
- new version 5.6.0

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 5.4.0-2mdv2010.1
+ Revision: 539618
- rebuild so that shared libraries are properly stripped again

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 5.4.0-1mdv2010.1
+ Revision: 535562
- update to new version 5.4.0

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 5.3.2-1mdv2010.1
+ Revision: 462055
- Update to new version 5.3.2
- Fix BuildRequires

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 5.3.1-1mdv2010.0
+ Revision: 444883
- update to new version 5.3.1

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 5.3.0-1mdv2010.0
+ Revision: 441023
- Update to new version 5.3.0: gnome-keyring support is back

* Thu Sep 10 2009 Frederik Himpe <fhimpe@mandriva.org> 5.2.3-1mdv2010.0
+ Revision: 437161
- update to new version 5.2.3

* Thu Aug 27 2009 Frederik Himpe <fhimpe@mandriva.org> 5.2.1-1mdv2010.0
+ Revision: 421744
- update to new version 5.2.1

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 5.2.0-1mdv2010.0
+ Revision: 421384
- new version
- drop patch
- new major
- update file list

* Thu May 28 2009 Frederik Himpe <fhimpe@mandriva.org> 4.67-2mdv2010.0
+ Revision: 380616
- use %%configure2_5x macro instead of %%configure to fix build
- Add upstream patch, via Debian: don't close channels on disconnect, so
  telepathy is usable for IRC when used with IRC proxies

* Sat Jul 19 2008 Frederik Himpe <fhimpe@mandriva.org> 4.67-1mdv2009.0
+ Revision: 238791
- update to new version 4.67

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 4.65-2mdv2009.0
+ Revision: 205885
- Add gnome-keyring buildrequires to make it use gnome-keyring for password
  storage

* Sun Apr 13 2008 Frederik Himpe <fhimpe@mandriva.org> 4.65-1mdv2009.0
+ Revision: 192664
- New version
- Do not install standard COPYING and INSTALL files
- New license policy
- Update to 4.64: fixes a serious regression since 4.62
- Rebuild fixes missing pkgconfig Provides

* Mon Mar 10 2008 Michael Scherer <misc@mandriva.org> 4.63-1mdv2008.1
+ Revision: 183464
- new version 4.63

* Wed Feb 13 2008 Michael Scherer <misc@mandriva.org> 4.60-1mdv2008.1
+ Revision: 167100
- update to 4.60
- use upstream tarball

* Thu Jan 17 2008 Michael Scherer <misc@mandriva.org> 4.55-1mdv2008.1
+ Revision: 154001
- fix missing file build failure
- update to 4.55

  + Jérôme Soyer <saispo@mandriva.org>
    - New release

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 4.49-1mdv2008.1
+ Revision: 145842
- Add BR
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 4.42-1mdv2008.1
+ Revision: 97704
- New release 4.42

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 4.37-1mdv2008.0
+ Revision: 79778
- new version 4.37

* Sun Aug 12 2007 Michael Scherer <misc@mandriva.org> 4.33-1mdv2008.0
+ Revision: 62223
- update to 4.33

* Thu Jul 19 2007 Funda Wang <fwang@mandriva.org> 4.30-1mdv2008.0
+ Revision: 53613
- New version

* Sat Jun 30 2007 Michael Scherer <misc@mandriva.org> 4.28-1mdv2008.0
+ Revision: 46043
- 4.28

* Wed Jun 20 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.26-1mdv2008.0
+ Revision: 41769
- New version 4.26

* Sat Jun 16 2007 Michael Scherer <misc@mandriva.org> 4.25-1mdv2008.0
+ Revision: 40403
- update to 4.25
- remove patch 0, applied upstream
- complete Summary

* Wed May 23 2007 Michael Scherer <misc@mandriva.org> 4.22-1mdv2008.0
+ Revision: 30224
- Import telepathy-mission-control

